View Issue Details

IDProjectCategoryView StatusLast Update
0004151FreeCADBugpublic2019-10-04 00:55
Reporterpetit_chat_noir Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target VersionFixed in Version0.18 
Summary0004151: Material tool on arch crash
DescriptionUnable to select or create material in Arch

Always reproducible

[FR]
Impossible de créer un nouveau matériau dans l'atelier arch
Steps To Reproducecreate wall or beam then go to :
Menu draft->material->create or modify material.
Click ok in the box crash freecad.


OS Version Debian Testing/unstable up to date 19-10-02
FreeCAD 0.18.3, Libs: 0.18.3R

Additional Information


Traceback (most recent call last):
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 299, in onChanged
    val = str(obj.Color[:3])
<class 'RecursionError'>: maximum recursion depth exceeded while getting the repr of an object
Fatal Python error: Cannot recover from stack overflow.

Current thread 0x00007f57671b49c0 (most recent call first):
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 299 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 270 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 270 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
  File "/usr/share/freecad/Mod/Arch/ArchMaterial.py", line 333 in onChanged
TagsArch, material
FreeCAD Information

Activities

petit_chat_noir

2019-10-02 12:16

reporter   ~0013704

Sorry for the mistake, it's not freecad section, but Arch section ....

openBrain

2019-10-02 17:05

developer   ~0013705

@petit_chat_noir : according the guidelines (big yellow box on top of the page), could you please first create a forum topic to discuss the issue ?

petit_chat_noir

2019-10-02 18:42

reporter   ~0013706

Yes of course!

petit_chat_noir

2019-10-03 10:26

reporter   ~0013707

Last edited: 2019-10-04 00:53

View 2 revisions

Here is the link of the discussion

Kunda1

2019-10-04 00:55

administrator   ~0013709

This is fixed in 0.19. Closing ticket.

Issue History

Date Modified Username Field Change
2019-10-02 12:02 petit_chat_noir New Issue
2019-10-02 12:02 petit_chat_noir Tag Attached: Arch
2019-10-02 12:02 petit_chat_noir Tag Attached: material
2019-10-02 12:16 petit_chat_noir Note Added: 0013704
2019-10-02 17:05 openBrain Note Added: 0013705
2019-10-02 17:06 openBrain Status new => feedback
2019-10-02 17:07 openBrain Tag Attached: #post-to-forum
2019-10-02 18:42 petit_chat_noir Note Added: 0013706
2019-10-02 18:42 petit_chat_noir Status feedback => new
2019-10-03 10:26 petit_chat_noir Note Added: 0013707
2019-10-04 00:53 Kunda1 Note Edited: 0013707 View Revisions
2019-10-04 00:53 Kunda1 Tag Detached: #post-to-forum
2019-10-04 00:53 Kunda1 Tag Attached: #pending-forum
2019-10-04 00:55 Kunda1 Status new => closed
2019-10-04 00:55 Kunda1 Resolution open => fixed
2019-10-04 00:55 Kunda1 Fixed in Version => 0.18
2019-10-04 00:55 Kunda1 Note Added: 0013709
2019-10-04 00:55 Kunda1 Tag Detached: #pending-forum